Bug 197972 - Minor statless update for rc.sysinit
Minor statless update for rc.sysinit
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-07 15:23 EDT by Jeff Law
Modified: 2014-03-16 23:00 EDT (History)
1 user (show)

See Also:
Fixed In Version: 8.36-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-13 16:14:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (2.18 KB, patch)
2006-07-07 15:23 EDT, Jeff Law
no flags Details | Diff

  None (edit)
Description Jeff Law 2006-07-07 15:23:18 EDT
Description of problem:
Another minor update to initscripts for stateless.

A stateless client using nfsroot, but local storage for host keys will not get
its hostname properly set.  This change lifts the code to set the hostname out
of the diskless conditional so that it applies to all stateless clients.  Note
failure to set the hostname properly will result in puppet failing.

Removal of support for "files.custom" which allowed clients to set up some
custom bind mounts.  *If* a client needs such support, then it should be managed
by puppet.




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeff Law 2006-07-07 15:23:18 EDT
Created attachment 132083 [details]
patch
Comment 2 Bill Nottingham 2006-07-13 16:14:59 EDT
Added in CVS, will be in 8.36.

Note You need to log in before you can comment on or make changes to this bug.